<template>
  <div class="modalWindow fixed flex flex-center row">
    <div class="modalDialog absolute col-5 bg-white font-raleway q-px-xl q-pb-xl q-pt-lg">
      <div class="font-raleway text-body1 text-grey-5 absolute-top-right q-pr-md q-pt-md cursor-pointer" @click="$emit('closeModal')"><img src="../statics/images/exit.png"></div>
      <div class="q-mb-sm q-mt-md q-ml-lg text-body1 font-regular spacing text-uppercase">Цель</div>
      <div class="q-mx-lg">
        <q-input v-model="request.purpose" rounded outlined dense />
      </div>
      <div class="q-mb-sm q-mt-md q-ml-lg text-body1 font-regular spacing text-uppercase">Комментарий</div>
      <div class="q-mx-lg">
        <q-input v-model="request.coment" rounded outlined dense type="textarea" />
      </div>
      <div class="column q-mx-lg" @click="$emit('closeModal')"><q-btn flat class="q-my-lg bg-teal-12 text-black text-body1 q-px-xl font-regular roundBtn" label="Отправить заявку" @click="$emit('changeTab')"/></div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'ModalRequest',
  data () {
    return {
      request: {
        id: this.$route.params.id,
        purpose: null,
        coment: null
      }
    }
  }
}
</script>

<style scoped lang="sass">
  .modalWindow
    top: 0
    left: 0
    right: 0
    bottom: 0
    z-index: 2000
    background-color: rgba(0, 0, 0, 0.6)

    .modalDialog
      heigth: auto
      border-radius: 15px

    .roundBtn
      border-radius: 30px
</style>
